Subject: Re: Does the ordering of the fib_table_dump or /proc/net/fib_trie matter?

From: Alexander Duyck <[email-masked]>
Date: Tue, 06 Jan 2015 16:58:33 -0800

On 01/06/2015 01:58 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Tue, 06 Jan 2015 12:30:06 -0800
>
>> The question I have is if that would screw up any user-space apps.  I
>> know ip route can dump the list via "ip route show".  I'm just wondering
>> if there would be any problem with default being the last entry instead
>> of the first entry?
> The ordering already changed once when we went from fib_hash to
> fib_trie, nobody should depend upon the ordering.

Okay good to hear.  I kind of thought that was the case, but I wanted to
make sure before I went too far down this rabbit hole.

Thanks.

- Alex